Bug 145167 - MalformedURLException: no protocol
MalformedURLException: no protocol
Status: VERIFIED FIXED
Product: ide
Classification: Unclassified
Component: Logger
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Jindrich Sedek
logger-issues@ide
http://statistics.netbeans.org/except...
65fixes3-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 15:38 UTC by Marian Mirilovic
Modified: 2009-04-03 13:40 UTC (History)
10 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (726 bytes, text/plain)
2009-03-03 19:31 UTC, Michel Graciano
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2008-08-26 15:38:21 UTC
185 duplicates so far ...

Build: NetBeans IDE Dev (Build 200807040101)
VM: Java HotSpot(TM) Client VM, 10.0-b22, Java(TM) SE Runtime Environment, 1.6.0_06-b02
OS: Windows Vista, 6.0, x86
STACKTRACE: (first 10 lines)
java.net.MalformedURLException: no protocol: 
        at java.net.URL.<init>(URL.java:567)
        at java.net.URL.<init>(URL.java:464)
        at java.net.URL.<init>(URL.java:413)
        at org.netbeans.modules.uihandler.Installer.decodeButtons(Installer.java:624)
        at org.netbeans.modules.uihandler.Installer$Submit.actionPerformed(Installer.java:990)
        at org.netbeans.modules.uihandler.Installer$SubmitAutomatic.showDialogAndGetValue(Installer.java:1444)
        at org.netbeans.modules.uihandler.Installer$Submit.run(Installer.java:978)
        at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:561)
        at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:986)
Comment 1 Jaroslav Tulach 2008-08-27 13:05:41 UTC
I am not sure, but it seems to me that this is related to multiple URLs? Jindro, did you code that piece? I can see 

  connectionFailed(http://testwww.netbeans.org/nonav/uigestures/index.html, /172.16.0.10:80

in the XML log file, which might mean that the URL construction fails on "/172.16.0.10:80"?
Comment 2 Jindrich Sedek 2008-08-27 15:26:03 UTC
the IP address is curios - I'm not able to find the domain name for it and:
testwww.netbeans.org -> 204.16.105.18
I don't know who is accessing such IP :-(

The issue has tons of duplicates - many of them are from April 08 (NB 6.1) and none of them is from Oct 08

according to the message we are passing empty string into the URL() constructor

I've added some logging into button parsing
changeset e409486548f8 in main
to get more info
Comment 3 Jindrich Sedek 2008-12-16 12:24:58 UTC
fixed.
changeset:   111766:bf00ce940413
user:        Jindrich Sedek <jsedek@netbeans.org>
date:        Tue Dec 16 13:10:15 2008 +0100
summary:     issue 145167 - no action is found in form
Comment 4 Michel Graciano 2009-03-03 19:31:23 UTC
Build: NetBeans IDE 6.5 (Build 200811100001)
VM: Java HotSpot(TM) Client VM, 11.0-b16, Java(TM) SE Runtime Environment, 1.6.0_11-b03
OS: Linux, 2.6.27-12-generic, i386

User Comments: 


Stacktrace: 
java.net.MalformedURLException: no protocol: 
        at java.net.URL.<init>(URL.java:567)
        at java.net.URL.<init>(URL.java:464)
        at java.net.URL.<init>(URL.java:413)
        at org.netbeans.modules.uihandler.Installer.decodeButtons(Installer.java:1132)
        at org.netbeans.modules.uihandler.Installer$Submit.actionPerformed(Installer.java:1541)
        at org.netbeans.modules.uihandler.Installer$SubmitAutomatic.showDialogAndGetValue(Installer.java:2028)
Comment 5 Michel Graciano 2009-03-03 19:31:28 UTC
Created attachment 77670 [details]
stacktrace
Comment 6 Marian Mirilovic 2009-03-04 08:27:43 UTC
469 duplicates so far ...
Comment 7 Jindrich Sedek 2009-03-04 08:50:57 UTC
no more duplicates since 6.7M2
Comment 8 Jindrich Sedek 2009-03-04 12:18:13 UTC
fixed in release65_fixes
5a339ac61337
Comment 9 Jindrich Sedek 2009-03-05 09:02:41 UTC
v.
NetBeans IDE 6.5.1 (Build 200903050001)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo